Studio login error in dev environment maple

I am using tutor version 13.1.18 (Maple)
Unable to log in to studio dev environment.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py", line 47, in inner
    response = get_response(request)
  File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py", line 181, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py", line 75, in inner
    return func(*args, **kwds)
  File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/cache.py", line 44, in _wrapped_view_func
    response = view_func(request, *args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/csrf.py", line 54, in wrapped_view
    return view_func(*args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_django/utils.py", line 46, in wrapper
    return func(request, backend, *args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_django/views.py", line 31, in complete
    return do_complete(request.backend, _do_login, user=request.user,
  File "/openedx/venv/lib/python3.8/site-packages/social_core/actions.py", line 45, in do_complete
    user = backend.complete(user=user, *args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_core/backends/base.py", line 40, in complete
    return self.auth_complete(*args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/auth_backends/backends.py", line 98, in auth_complete
    user = super().auth_complete(*args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_core/utils.py", line 248, in wrapper
    return func(*args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py", line 382, in auth_complete
    response = self.request_access_token(
  File "/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py", line 360, in request_access_token
    return self.get_json(*args, **kwargs)
  File "/openedx/venv/lib/python3.8/site-packages/social_core/backends/base.py", line 243, in get_json
    return self.request(url, *args, **kwargs).json()
  File "/openedx/venv/lib/python3.8/site-packages/social_core/backends/base.py", line 238, in request
    raise AuthFailed(self, str(err))
social_core.exceptions.AuthFailed: Authentication failed: HTTPConnectionPool(host='lms', port=8000): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f234c590760>: Failed to establish a new connection: [Errno -2] Name or service not known'))

In LMS I am receiving requests while requesting OAuth as

GET /oauth2/authorize?client_id=cms-sso-dev&redirect_uri=http%3A%2F%2Fstudio.maple.exanple.com%3A8001%2Fcomplete%2Fedx-oauth2%2F%3Fredirect_state%3Djf7PN1JUQNkxtI2WSbAXvsvI6qhHe2PZ&state=jf7PN1JUQNkxtI2WSbAXvsvI6qhHe2PZ&response_type=code&scope=user_id+profile+email HTTP/1.1" 302 0

And this issue I am facing only in Dev Environment in Production it is working fine.

Can you please try again in v13.2.0? This happened.